summaryrefslogtreecommitdiffstats
path: root/source/l/libsodium/libsodium.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libsodium/libsodium.SlackBuild')
-rwxr-xr-xsource/l/libsodium/libsodium.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/l/libsodium/libsodium.SlackBuild b/source/l/libsodium/libsodium.SlackBuild
index fbc397d86..69810efb5 100755
--- a/source/l/libsodium/libsodium.SlackBuild
+++ b/source/l/libsodium/libsodium.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2017, 2018, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libsodium
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,9 +74,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
+rm -rf $PKGNAM-$VERSION $PKGNAM-stable
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
-cd $PKGNAM-$VERSION || exit 1
+cd $PKGNAM-$VERSION || cd $PKGNAM-stable || exit 1
chown -R root:root .
find . \